//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit2.h"
#include "Unit1.h"
#pragma package(smart_init)
//---------------------------------------------------------------------------

//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
void __fastcall MyThread::UpdateCaption()
{
    Form1->StatusBar1->SimpleText=DateTimeToStr(Now());
}
//---------------------------------------------------------------------------

__fastcall MyThread::MyThread(bool CreateSuspended)
        : TThread(CreateSuspended)
{
  Priority = tpIdle;
}
//---------------------------------------------------------------------------
void MyThread::SetName()
{
        THREADNAME_INFO info;
        info.dwType = 0x1000;
        info.szName = "MyThread";
        info.dwThreadID = -1;
        info.dwFlags = 0;

        __try
        {
                 RaiseException( 0x406D1388, 0, sizeof(info)/sizeof(DWORD),(DWORD*)&info );
        }
        __except (EXCEPTION_CONTINUE_EXECUTION)
        {
        }
}
//---------------------------------------------------------------------------
void __fastcall MyThread::Execute()
{
        SetName();
        //---- Place thread code here ----
        while(true)
           Synchronize(UpdateCaption);
}
//---------------------------------------------------------------------------
